import cx from 'classnames';
import React, { MouseEventHandler } from 'react';
import styles from './calorieRow.css';

type CalorieRowProps = {
  item: CalorieValue,
  onRowClick?: (item: CalorieValue) => void,
  isSelected?: boolean
};

function CalorieRow (props: CalorieRowProps) {
  const {
    item,
    isSelected = false,
    onRowClick = Function.prototype
  } = props;

  const onClick = () => onRowClick(item);

  return (
    <div className={cx(styles.calorieRow, {[styles.selected]: isSelected})} {...{onClick}}>
      <div className={styles.title}>{item.title}</div>
      <div>{item.count}</div>
    </div>
  );
}

export {
  CalorieRow
};
