import cx from 'classnames';
import React from 'react';
import { CalorieRow } from './CalorieRow';
import styles from './itemList.css';

type ItemListProps = {
  className?: string,
  items: CalorieValue[],
  selectedItem?: CalorieValue,
  onRowClick: (item: CalorieValue) => void
};

function ItemList (props: ItemListProps) {
  const {className, items, selectedItem, onRowClick, ...restProps} = props;

  return (
    <section {...restProps} className={cx(styles.itemList, className)}>
      {items.map((item: CalorieValue, index: number) => {
        // todo: use better key
        const isSelected = item === selectedItem;
        return (
          <CalorieRow key={index} {...{item, onRowClick, isSelected}} />
        );
      })}
    </section>
  );
}

export {
  ItemList
};
